> ## Documentation Index
> Fetch the complete documentation index at: https://docs.adside.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Videos cancel

> Cancel a video job; one a provider already accepted may still finish and is still charged

CLI: `adside media videos cancel`



## OpenAPI

````yaml /api-reference/openapi.yaml post /v1/workspaces/{workspaceId}/media/videos/{jobId}/cancel
openapi: 3.1.0
info:
  title: Adside API
  version: 1.0.0
  description: >-
    Campaigns, creatives, assets and reporting across your ad accounts. Call it
    with a personal API key as a bearer token, or with the `adside` CLI: each
    page names its command.
servers:
  - url: https://api.adside.ai
    description: Production
security:
  - userAccess: []
tags:
  - name: Account
  - name: Reporting
  - name: Meta
  - name: Google Ads
  - name: LinkedIn
  - name: TikTok
  - name: Reddit
  - name: Snapchat
  - name: X
  - name: Google Tag Manager
  - name: Creatives
  - name: Creative styles
  - name: Media
  - name: Characters
  - name: Assets
  - name: Brands
  - name: Brain
  - name: Research
  - name: Boards
  - name: Artifacts
  - name: Audiences
  - name: Ad comments
  - name: Publications
  - name: Routines
  - name: Skills
  - name: To-dos
  - name: Audit
  - name: Credits
paths:
  /v1/workspaces/{workspaceId}/media/videos/{jobId}/cancel:
    post:
      tags:
        - Media
      summary: Videos cancel
      description: >-
        Cancel a video job; one a provider already accepted may still finish and
        is still charged


        CLI: `adside media videos cancel`
      operationId: media.videos.cancel
      parameters:
        - name: workspaceId
          in: path
          required: true
          schema:
            type: string
            minLength: 1
        - name: jobId
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 64
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                oneOf:
                  - type: object
                    properties:
                      id:
                        type: string
                      requestId:
                        type: string
                      model:
                        type: string
                      parameters:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties:
                          $ref: '#/components/schemas/RecursiveValue'
                      inputAssetIds:
                        type: array
                        items:
                          type: string
                      status:
                        type: string
                        enum:
                          - pending
                          - in_progress
                          - completed
                          - failed
                          - cancelled
                          - expired
                      pollAfterSeconds:
                        type: integer
                        minimum: 1
                        maximum: 9007199254740991
                      priceUsd:
                        type: number
                        minimum: 0
                      chargedUsd:
                        type: number
                        minimum: 0
                      error:
                        anyOf:
                          - type: object
                            properties:
                              code:
                                type: string
                                enum:
                                  - MODERATION_REJECTED
                                  - INPUT_REJECTED
                                  - PROVIDER_ERROR
                                  - TIMEOUT
                                  - INVALID_OUTPUT
                                  - UNCERTAIN_SUBMISSION
                              message:
                                type: string
                              retryable:
                                type: boolean
                            required:
                              - code
                              - message
                              - retryable
                            additionalProperties: false
                          - type: 'null'
                      createdAt:
                        type: string
                        format: date-time
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                      completedAt:
                        anyOf:
                          - type: string
                            format: date-time
                            pattern: >-
                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                          - type: 'null'
                      type:
                        type: string
                        const: image
                      outputs:
                        type: array
                        items:
                          type: object
                          properties:
                            index:
                              type: integer
                              minimum: 0
                              maximum: 9007199254740991
                            assetId:
                              type: string
                            url:
                              type: string
                              format: uri
                            mediaType:
                              type: string
                            width:
                              type: integer
                              exclusiveMinimum: 0
                              maximum: 9007199254740991
                            height:
                              type: integer
                              exclusiveMinimum: 0
                              maximum: 9007199254740991
                            durationSeconds:
                              type: number
                              exclusiveMinimum: 0
                            hasAudio:
                              type: boolean
                          required:
                            - index
                            - assetId
                            - url
                            - mediaType
                            - width
                            - height
                          additionalProperties: false
                    required:
                      - id
                      - requestId
                      - model
                      - parameters
                      - inputAssetIds
                      - status
                      - priceUsd
                      - chargedUsd
                      - error
                      - createdAt
                      - completedAt
                      - type
                      - outputs
                    additionalProperties: false
                  - type: object
                    properties:
                      id:
                        type: string
                      requestId:
                        type: string
                      model:
                        type: string
                      parameters:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties:
                          $ref: '#/components/schemas/RecursiveValue'
                      inputAssetIds:
                        type: array
                        items:
                          type: string
                      status:
                        type: string
                        enum:
                          - pending
                          - in_progress
                          - completed
                          - failed
                          - cancelled
                          - expired
                      pollAfterSeconds:
                        type: integer
                        minimum: 1
                        maximum: 9007199254740991
                      priceUsd:
                        type: number
                        minimum: 0
                      chargedUsd:
                        type: number
                        minimum: 0
                      error:
                        anyOf:
                          - type: object
                            properties:
                              code:
                                type: string
                                enum:
                                  - MODERATION_REJECTED
                                  - INPUT_REJECTED
                                  - PROVIDER_ERROR
                                  - TIMEOUT
                                  - INVALID_OUTPUT
                                  - UNCERTAIN_SUBMISSION
                              message:
                                type: string
                              retryable:
                                type: boolean
                            required:
                              - code
                              - message
                              - retryable
                            additionalProperties: false
                          - type: 'null'
                      createdAt:
                        type: string
                        format: date-time
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                      completedAt:
                        anyOf:
                          - type: string
                            format: date-time
                            pattern: >-
                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                          - type: 'null'
                      type:
                        type: string
                        const: video
                      outputs:
                        type: array
                        items:
                          type: object
                          properties:
                            index:
                              type: integer
                              minimum: 0
                              maximum: 9007199254740991
                            assetId:
                              type: string
                            url:
                              type: string
                              format: uri
                            mediaType:
                              type: string
                            width:
                              type: integer
                              exclusiveMinimum: 0
                              maximum: 9007199254740991
                            height:
                              type: integer
                              exclusiveMinimum: 0
                              maximum: 9007199254740991
                            durationSeconds:
                              type: number
                              exclusiveMinimum: 0
                            hasAudio:
                              type: boolean
                          required:
                            - index
                            - assetId
                            - url
                            - mediaType
                            - width
                            - height
                          additionalProperties: false
                    required:
                      - id
                      - requestId
                      - model
                      - parameters
                      - inputAssetIds
                      - status
                      - priceUsd
                      - chargedUsd
                      - error
                      - createdAt
                      - completedAt
                      - type
                      - outputs
                    additionalProperties: false
                  - type: object
                    properties:
                      id:
                        type: string
                      requestId:
                        type: string
                      model:
                        type: string
                      parameters:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties:
                          $ref: '#/components/schemas/RecursiveValue'
                      inputAssetIds:
                        type: array
                        items:
                          type: string
                      status:
                        type: string
                        enum:
                          - pending
                          - in_progress
                          - completed
                          - failed
                          - cancelled
                          - expired
                      pollAfterSeconds:
                        type: integer
                        minimum: 1
                        maximum: 9007199254740991
                      priceUsd:
                        type: number
                        minimum: 0
                      chargedUsd:
                        type: number
                        minimum: 0
                      error:
                        anyOf:
                          - type: object
                            properties:
                              code:
                                type: string
                                enum:
                                  - MODERATION_REJECTED
                                  - INPUT_REJECTED
                                  - PROVIDER_ERROR
                                  - TIMEOUT
                                  - INVALID_OUTPUT
                                  - UNCERTAIN_SUBMISSION
                              message:
                                type: string
                              retryable:
                                type: boolean
                            required:
                              - code
                              - message
                              - retryable
                            additionalProperties: false
                          - type: 'null'
                      createdAt:
                        type: string
                        format: date-time
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                      completedAt:
                        anyOf:
                          - type: string
                            format: date-time
                            pattern: >-
                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                          - type: 'null'
                      type:
                        type: string
                        const: speech
                      outputs:
                        type: array
                        items:
                          type: object
                          properties:
                            index:
                              type: integer
                              minimum: 0
                              maximum: 9007199254740991
                            assetId:
                              type: string
                            url:
                              type: string
                              format: uri
                            mediaType:
                              type: string
                              const: audio/mpeg
                            durationSeconds:
                              type: number
                              exclusiveMinimum: 0
                          required:
                            - index
                            - assetId
                            - url
                            - mediaType
                            - durationSeconds
                          additionalProperties: false
                    required:
                      - id
                      - requestId
                      - model
                      - parameters
                      - inputAssetIds
                      - status
                      - priceUsd
                      - chargedUsd
                      - error
                      - createdAt
                      - completedAt
                      - type
                      - outputs
                    additionalProperties: false
                  - type: object
                    properties:
                      id:
                        type: string
                      requestId:
                        type: string
                      model:
                        type: string
                      parameters:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties:
                          $ref: '#/components/schemas/RecursiveValue'
                      inputAssetIds:
                        type: array
                        items:
                          type: string
                      status:
                        type: string
                        enum:
                          - pending
                          - in_progress
                          - completed
                          - failed
                          - cancelled
                          - expired
                      pollAfterSeconds:
                        type: integer
                        minimum: 1
                        maximum: 9007199254740991
                      priceUsd:
                        type: number
                        minimum: 0
                      chargedUsd:
                        type: number
                        minimum: 0
                      error:
                        anyOf:
                          - type: object
                            properties:
                              code:
                                type: string
                                enum:
                                  - MODERATION_REJECTED
                                  - INPUT_REJECTED
                                  - PROVIDER_ERROR
                                  - TIMEOUT
                                  - INVALID_OUTPUT
                                  - UNCERTAIN_SUBMISSION
                              message:
                                type: string
                              retryable:
                                type: boolean
                            required:
                              - code
                              - message
                              - retryable
                            additionalProperties: false
                          - type: 'null'
                      createdAt:
                        type: string
                        format: date-time
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                      completedAt:
                        anyOf:
                          - type: string
                            format: date-time
                            pattern: >-
                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                          - type: 'null'
                      type:
                        type: string
                        const: sound
                      outputs:
                        type: array
                        items:
                          type: object
                          properties:
                            index:
                              type: integer
                              minimum: 0
                              maximum: 9007199254740991
                            assetId:
                              type: string
                            url:
                              type: string
                              format: uri
                            mediaType:
                              type: string
                              const: audio/mpeg
                            durationSeconds:
                              type: number
                              exclusiveMinimum: 0
                          required:
                            - index
                            - assetId
                            - url
                            - mediaType
                            - durationSeconds
                          additionalProperties: false
                    required:
                      - id
                      - requestId
                      - model
                      - parameters
                      - inputAssetIds
                      - status
                      - priceUsd
                      - chargedUsd
                      - error
                      - createdAt
                      - completedAt
                      - type
                      - outputs
                    additionalProperties: false
                  - type: object
                    properties:
                      id:
                        type: string
                      requestId:
                        type: string
                      model:
                        type: string
                      parameters:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties:
                          $ref: '#/components/schemas/RecursiveValue'
                      inputAssetIds:
                        type: array
                        items:
                          type: string
                      status:
                        type: string
                        enum:
                          - pending
                          - in_progress
                          - completed
                          - failed
                          - cancelled
                          - expired
                      pollAfterSeconds:
                        type: integer
                        minimum: 1
                        maximum: 9007199254740991
                      priceUsd:
                        type: number
                        minimum: 0
                      chargedUsd:
                        type: number
                        minimum: 0
                      error:
                        anyOf:
                          - type: object
                            properties:
                              code:
                                type: string
                                enum:
                                  - MODERATION_REJECTED
                                  - INPUT_REJECTED
                                  - PROVIDER_ERROR
                                  - TIMEOUT
                                  - INVALID_OUTPUT
                                  - UNCERTAIN_SUBMISSION
                              message:
                                type: string
                              retryable:
                                type: boolean
                            required:
                              - code
                              - message
                              - retryable
                            additionalProperties: false
                          - type: 'null'
                      createdAt:
                        type: string
                        format: date-time
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                      completedAt:
                        anyOf:
                          - type: string
                            format: date-time
                            pattern: >-
                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                          - type: 'null'
                      type:
                        type: string
                        const: music
                      outputs:
                        type: array
                        items:
                          type: object
                          properties:
                            index:
                              type: integer
                              minimum: 0
                              maximum: 9007199254740991
                            assetId:
                              type: string
                            url:
                              type: string
                              format: uri
                            mediaType:
                              type: string
                              const: audio/mpeg
                            durationSeconds:
                              type: number
                              exclusiveMinimum: 0
                          required:
                            - index
                            - assetId
                            - url
                            - mediaType
                            - durationSeconds
                          additionalProperties: false
                    required:
                      - id
                      - requestId
                      - model
                      - parameters
                      - inputAssetIds
                      - status
                      - priceUsd
                      - chargedUsd
                      - error
                      - createdAt
                      - completedAt
                      - type
                      - outputs
                    additionalProperties: false
                  - type: object
                    properties:
                      id:
                        type: string
                      requestId:
                        type: string
                      model:
                        type: string
                      parameters:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties:
                          $ref: '#/components/schemas/RecursiveValue'
                      inputAssetIds:
                        type: array
                        items:
                          type: string
                      status:
                        type: string
                        enum:
                          - pending
                          - in_progress
                          - completed
                          - failed
                          - cancelled
                          - expired
                      pollAfterSeconds:
                        type: integer
                        minimum: 1
                        maximum: 9007199254740991
                      priceUsd:
                        type: number
                        minimum: 0
                      chargedUsd:
                        type: number
                        minimum: 0
                      error:
                        anyOf:
                          - type: object
                            properties:
                              code:
                                type: string
                                enum:
                                  - MODERATION_REJECTED
                                  - INPUT_REJECTED
                                  - PROVIDER_ERROR
                                  - TIMEOUT
                                  - INVALID_OUTPUT
                                  - UNCERTAIN_SUBMISSION
                              message:
                                type: string
                              retryable:
                                type: boolean
                            required:
                              - code
                              - message
                              - retryable
                            additionalProperties: false
                          - type: 'null'
                      createdAt:
                        type: string
                        format: date-time
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                      completedAt:
                        anyOf:
                          - type: string
                            format: date-time
                            pattern: >-
                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                          - type: 'null'
                      type:
                        type: string
                        const: avatar
                      outputs:
                        type: array
                        items:
                          type: object
                          properties:
                            index:
                              type: integer
                              minimum: 0
                              maximum: 9007199254740991
                            assetId:
                              type: string
                            url:
                              type: string
                              format: uri
                            mediaType:
                              type: string
                            width:
                              type: integer
                              exclusiveMinimum: 0
                              maximum: 9007199254740991
                            height:
                              type: integer
                              exclusiveMinimum: 0
                              maximum: 9007199254740991
                            durationSeconds:
                              type: number
                              exclusiveMinimum: 0
                            hasAudio:
                              type: boolean
                          required:
                            - index
                            - assetId
                            - url
                            - mediaType
                            - width
                            - height
                          additionalProperties: false
                    required:
                      - id
                      - requestId
                      - model
                      - parameters
                      - inputAssetIds
                      - status
                      - priceUsd
                      - chargedUsd
                      - error
                      - createdAt
                      - completedAt
                      - type
                      - outputs
                    additionalProperties: false
                  - type: object
                    properties:
                      id:
                        type: string
                      requestId:
                        type: string
                      model:
                        type: string
                      parameters:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties:
                          $ref: '#/components/schemas/RecursiveValue'
                      inputAssetIds:
                        type: array
                        items:
                          type: string
                      status:
                        type: string
                        enum:
                          - pending
                          - in_progress
                          - completed
                          - failed
                          - cancelled
                          - expired
                      pollAfterSeconds:
                        type: integer
                        minimum: 1
                        maximum: 9007199254740991
                      priceUsd:
                        type: number
                        minimum: 0
                      chargedUsd:
                        type: number
                        minimum: 0
                      error:
                        anyOf:
                          - type: object
                            properties:
                              code:
                                type: string
                                enum:
                                  - MODERATION_REJECTED
                                  - INPUT_REJECTED
                                  - PROVIDER_ERROR
                                  - TIMEOUT
                                  - INVALID_OUTPUT
                                  - UNCERTAIN_SUBMISSION
                              message:
                                type: string
                              retryable:
                                type: boolean
                            required:
                              - code
                              - message
                              - retryable
                            additionalProperties: false
                          - type: 'null'
                      createdAt:
                        type: string
                        format: date-time
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                      completedAt:
                        anyOf:
                          - type: string
                            format: date-time
                            pattern: >-
                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                          - type: 'null'
                      type:
                        type: string
                        const: lipsync
                      outputs:
                        type: array
                        items:
                          type: object
                          properties:
                            index:
                              type: integer
                              minimum: 0
                              maximum: 9007199254740991
                            assetId:
                              type: string
                            url:
                              type: string
                              format: uri
                            mediaType:
                              type: string
                            width:
                              type: integer
                              exclusiveMinimum: 0
                              maximum: 9007199254740991
                            height:
                              type: integer
                              exclusiveMinimum: 0
                              maximum: 9007199254740991
                            durationSeconds:
                              type: number
                              exclusiveMinimum: 0
                            hasAudio:
                              type: boolean
                          required:
                            - index
                            - assetId
                            - url
                            - mediaType
                            - width
                            - height
                          additionalProperties: false
                    required:
                      - id
                      - requestId
                      - model
                      - parameters
                      - inputAssetIds
                      - status
                      - priceUsd
                      - chargedUsd
                      - error
                      - createdAt
                      - completedAt
                      - type
                      - outputs
                    additionalProperties: false
        '202':
          description: Accepted asynchronous operation
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                oneOf:
                  - type: object
                    properties:
                      id:
                        type: string
                      requestId:
                        type: string
                      model:
                        type: string
                      parameters:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties:
                          $ref: '#/components/schemas/RecursiveValue'
                      inputAssetIds:
                        type: array
                        items:
                          type: string
                      status:
                        type: string
                        enum:
                          - pending
                          - in_progress
                          - completed
                          - failed
                          - cancelled
                          - expired
                      pollAfterSeconds:
                        type: integer
                        minimum: 1
                        maximum: 9007199254740991
                      priceUsd:
                        type: number
                        minimum: 0
                      chargedUsd:
                        type: number
                        minimum: 0
                      error:
                        anyOf:
                          - type: object
                            properties:
                              code:
                                type: string
                                enum:
                                  - MODERATION_REJECTED
                                  - INPUT_REJECTED
                                  - PROVIDER_ERROR
                                  - TIMEOUT
                                  - INVALID_OUTPUT
                                  - UNCERTAIN_SUBMISSION
                              message:
                                type: string
                              retryable:
                                type: boolean
                            required:
                              - code
                              - message
                              - retryable
                            additionalProperties: false
                          - type: 'null'
                      createdAt:
                        type: string
                        format: date-time
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                      completedAt:
                        anyOf:
                          - type: string
                            format: date-time
                            pattern: >-
                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                          - type: 'null'
                      type:
                        type: string
                        const: image
                      outputs:
                        type: array
                        items:
                          type: object
                          properties:
                            index:
                              type: integer
                              minimum: 0
                              maximum: 9007199254740991
                            assetId:
                              type: string
                            url:
                              type: string
                              format: uri
                            mediaType:
                              type: string
                            width:
                              type: integer
                              exclusiveMinimum: 0
                              maximum: 9007199254740991
                            height:
                              type: integer
                              exclusiveMinimum: 0
                              maximum: 9007199254740991
                            durationSeconds:
                              type: number
                              exclusiveMinimum: 0
                            hasAudio:
                              type: boolean
                          required:
                            - index
                            - assetId
                            - url
                            - mediaType
                            - width
                            - height
                          additionalProperties: false
                    required:
                      - id
                      - requestId
                      - model
                      - parameters
                      - inputAssetIds
                      - status
                      - priceUsd
                      - chargedUsd
                      - error
                      - createdAt
                      - completedAt
                      - type
                      - outputs
                    additionalProperties: false
                  - type: object
                    properties:
                      id:
                        type: string
                      requestId:
                        type: string
                      model:
                        type: string
                      parameters:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties:
                          $ref: '#/components/schemas/RecursiveValue'
                      inputAssetIds:
                        type: array
                        items:
                          type: string
                      status:
                        type: string
                        enum:
                          - pending
                          - in_progress
                          - completed
                          - failed
                          - cancelled
                          - expired
                      pollAfterSeconds:
                        type: integer
                        minimum: 1
                        maximum: 9007199254740991
                      priceUsd:
                        type: number
                        minimum: 0
                      chargedUsd:
                        type: number
                        minimum: 0
                      error:
                        anyOf:
                          - type: object
                            properties:
                              code:
                                type: string
                                enum:
                                  - MODERATION_REJECTED
                                  - INPUT_REJECTED
                                  - PROVIDER_ERROR
                                  - TIMEOUT
                                  - INVALID_OUTPUT
                                  - UNCERTAIN_SUBMISSION
                              message:
                                type: string
                              retryable:
                                type: boolean
                            required:
                              - code
                              - message
                              - retryable
                            additionalProperties: false
                          - type: 'null'
                      createdAt:
                        type: string
                        format: date-time
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                      completedAt:
                        anyOf:
                          - type: string
                            format: date-time
                            pattern: >-
                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                          - type: 'null'
                      type:
                        type: string
                        const: video
                      outputs:
                        type: array
                        items:
                          type: object
                          properties:
                            index:
                              type: integer
                              minimum: 0
                              maximum: 9007199254740991
                            assetId:
                              type: string
                            url:
                              type: string
                              format: uri
                            mediaType:
                              type: string
                            width:
                              type: integer
                              exclusiveMinimum: 0
                              maximum: 9007199254740991
                            height:
                              type: integer
                              exclusiveMinimum: 0
                              maximum: 9007199254740991
                            durationSeconds:
                              type: number
                              exclusiveMinimum: 0
                            hasAudio:
                              type: boolean
                          required:
                            - index
                            - assetId
                            - url
                            - mediaType
                            - width
                            - height
                          additionalProperties: false
                    required:
                      - id
                      - requestId
                      - model
                      - parameters
                      - inputAssetIds
                      - status
                      - priceUsd
                      - chargedUsd
                      - error
                      - createdAt
                      - completedAt
                      - type
                      - outputs
                    additionalProperties: false
                  - type: object
                    properties:
                      id:
                        type: string
                      requestId:
                        type: string
                      model:
                        type: string
                      parameters:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties:
                          $ref: '#/components/schemas/RecursiveValue'
                      inputAssetIds:
                        type: array
                        items:
                          type: string
                      status:
                        type: string
                        enum:
                          - pending
                          - in_progress
                          - completed
                          - failed
                          - cancelled
                          - expired
                      pollAfterSeconds:
                        type: integer
                        minimum: 1
                        maximum: 9007199254740991
                      priceUsd:
                        type: number
                        minimum: 0
                      chargedUsd:
                        type: number
                        minimum: 0
                      error:
                        anyOf:
                          - type: object
                            properties:
                              code:
                                type: string
                                enum:
                                  - MODERATION_REJECTED
                                  - INPUT_REJECTED
                                  - PROVIDER_ERROR
                                  - TIMEOUT
                                  - INVALID_OUTPUT
                                  - UNCERTAIN_SUBMISSION
                              message:
                                type: string
                              retryable:
                                type: boolean
                            required:
                              - code
                              - message
                              - retryable
                            additionalProperties: false
                          - type: 'null'
                      createdAt:
                        type: string
                        format: date-time
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                      completedAt:
                        anyOf:
                          - type: string
                            format: date-time
                            pattern: >-
                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                          - type: 'null'
                      type:
                        type: string
                        const: speech
                      outputs:
                        type: array
                        items:
                          type: object
                          properties:
                            index:
                              type: integer
                              minimum: 0
                              maximum: 9007199254740991
                            assetId:
                              type: string
                            url:
                              type: string
                              format: uri
                            mediaType:
                              type: string
                              const: audio/mpeg
                            durationSeconds:
                              type: number
                              exclusiveMinimum: 0
                          required:
                            - index
                            - assetId
                            - url
                            - mediaType
                            - durationSeconds
                          additionalProperties: false
                    required:
                      - id
                      - requestId
                      - model
                      - parameters
                      - inputAssetIds
                      - status
                      - priceUsd
                      - chargedUsd
                      - error
                      - createdAt
                      - completedAt
                      - type
                      - outputs
                    additionalProperties: false
                  - type: object
                    properties:
                      id:
                        type: string
                      requestId:
                        type: string
                      model:
                        type: string
                      parameters:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties:
                          $ref: '#/components/schemas/RecursiveValue'
                      inputAssetIds:
                        type: array
                        items:
                          type: string
                      status:
                        type: string
                        enum:
                          - pending
                          - in_progress
                          - completed
                          - failed
                          - cancelled
                          - expired
                      pollAfterSeconds:
                        type: integer
                        minimum: 1
                        maximum: 9007199254740991
                      priceUsd:
                        type: number
                        minimum: 0
                      chargedUsd:
                        type: number
                        minimum: 0
                      error:
                        anyOf:
                          - type: object
                            properties:
                              code:
                                type: string
                                enum:
                                  - MODERATION_REJECTED
                                  - INPUT_REJECTED
                                  - PROVIDER_ERROR
                                  - TIMEOUT
                                  - INVALID_OUTPUT
                                  - UNCERTAIN_SUBMISSION
                              message:
                                type: string
                              retryable:
                                type: boolean
                            required:
                              - code
                              - message
                              - retryable
                            additionalProperties: false
                          - type: 'null'
                      createdAt:
                        type: string
                        format: date-time
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                      completedAt:
                        anyOf:
                          - type: string
                            format: date-time
                            pattern: >-
                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                          - type: 'null'
                      type:
                        type: string
                        const: sound
                      outputs:
                        type: array
                        items:
                          type: object
                          properties:
                            index:
                              type: integer
                              minimum: 0
                              maximum: 9007199254740991
                            assetId:
                              type: string
                            url:
                              type: string
                              format: uri
                            mediaType:
                              type: string
                              const: audio/mpeg
                            durationSeconds:
                              type: number
                              exclusiveMinimum: 0
                          required:
                            - index
                            - assetId
                            - url
                            - mediaType
                            - durationSeconds
                          additionalProperties: false
                    required:
                      - id
                      - requestId
                      - model
                      - parameters
                      - inputAssetIds
                      - status
                      - priceUsd
                      - chargedUsd
                      - error
                      - createdAt
                      - completedAt
                      - type
                      - outputs
                    additionalProperties: false
                  - type: object
                    properties:
                      id:
                        type: string
                      requestId:
                        type: string
                      model:
                        type: string
                      parameters:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties:
                          $ref: '#/components/schemas/RecursiveValue'
                      inputAssetIds:
                        type: array
                        items:
                          type: string
                      status:
                        type: string
                        enum:
                          - pending
                          - in_progress
                          - completed
                          - failed
                          - cancelled
                          - expired
                      pollAfterSeconds:
                        type: integer
                        minimum: 1
                        maximum: 9007199254740991
                      priceUsd:
                        type: number
                        minimum: 0
                      chargedUsd:
                        type: number
                        minimum: 0
                      error:
                        anyOf:
                          - type: object
                            properties:
                              code:
                                type: string
                                enum:
                                  - MODERATION_REJECTED
                                  - INPUT_REJECTED
                                  - PROVIDER_ERROR
                                  - TIMEOUT
                                  - INVALID_OUTPUT
                                  - UNCERTAIN_SUBMISSION
                              message:
                                type: string
                              retryable:
                                type: boolean
                            required:
                              - code
                              - message
                              - retryable
                            additionalProperties: false
                          - type: 'null'
                      createdAt:
                        type: string
                        format: date-time
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                      completedAt:
                        anyOf:
                          - type: string
                            format: date-time
                            pattern: >-
                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                          - type: 'null'
                      type:
                        type: string
                        const: music
                      outputs:
                        type: array
                        items:
                          type: object
                          properties:
                            index:
                              type: integer
                              minimum: 0
                              maximum: 9007199254740991
                            assetId:
                              type: string
                            url:
                              type: string
                              format: uri
                            mediaType:
                              type: string
                              const: audio/mpeg
                            durationSeconds:
                              type: number
                              exclusiveMinimum: 0
                          required:
                            - index
                            - assetId
                            - url
                            - mediaType
                            - durationSeconds
                          additionalProperties: false
                    required:
                      - id
                      - requestId
                      - model
                      - parameters
                      - inputAssetIds
                      - status
                      - priceUsd
                      - chargedUsd
                      - error
                      - createdAt
                      - completedAt
                      - type
                      - outputs
                    additionalProperties: false
                  - type: object
                    properties:
                      id:
                        type: string
                      requestId:
                        type: string
                      model:
                        type: string
                      parameters:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties:
                          $ref: '#/components/schemas/RecursiveValue'
                      inputAssetIds:
                        type: array
                        items:
                          type: string
                      status:
                        type: string
                        enum:
                          - pending
                          - in_progress
                          - completed
                          - failed
                          - cancelled
                          - expired
                      pollAfterSeconds:
                        type: integer
                        minimum: 1
                        maximum: 9007199254740991
                      priceUsd:
                        type: number
                        minimum: 0
                      chargedUsd:
                        type: number
                        minimum: 0
                      error:
                        anyOf:
                          - type: object
                            properties:
                              code:
                                type: string
                                enum:
                                  - MODERATION_REJECTED
                                  - INPUT_REJECTED
                                  - PROVIDER_ERROR
                                  - TIMEOUT
                                  - INVALID_OUTPUT
                                  - UNCERTAIN_SUBMISSION
                              message:
                                type: string
                              retryable:
                                type: boolean
                            required:
                              - code
                              - message
                              - retryable
                            additionalProperties: false
                          - type: 'null'
                      createdAt:
                        type: string
                        format: date-time
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                      completedAt:
                        anyOf:
                          - type: string
                            format: date-time
                            pattern: >-
                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                          - type: 'null'
                      type:
                        type: string
                        const: avatar
                      outputs:
                        type: array
                        items:
                          type: object
                          properties:
                            index:
                              type: integer
                              minimum: 0
                              maximum: 9007199254740991
                            assetId:
                              type: string
                            url:
                              type: string
                              format: uri
                            mediaType:
                              type: string
                            width:
                              type: integer
                              exclusiveMinimum: 0
                              maximum: 9007199254740991
                            height:
                              type: integer
                              exclusiveMinimum: 0
                              maximum: 9007199254740991
                            durationSeconds:
                              type: number
                              exclusiveMinimum: 0
                            hasAudio:
                              type: boolean
                          required:
                            - index
                            - assetId
                            - url
                            - mediaType
                            - width
                            - height
                          additionalProperties: false
                    required:
                      - id
                      - requestId
                      - model
                      - parameters
                      - inputAssetIds
                      - status
                      - priceUsd
                      - chargedUsd
                      - error
                      - createdAt
                      - completedAt
                      - type
                      - outputs
                    additionalProperties: false
                  - type: object
                    properties:
                      id:
                        type: string
                      requestId:
                        type: string
                      model:
                        type: string
                      parameters:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties:
                          $ref: '#/components/schemas/RecursiveValue'
                      inputAssetIds:
                        type: array
                        items:
                          type: string
                      status:
                        type: string
                        enum:
                          - pending
                          - in_progress
                          - completed
                          - failed
                          - cancelled
                          - expired
                      pollAfterSeconds:
                        type: integer
                        minimum: 1
                        maximum: 9007199254740991
                      priceUsd:
                        type: number
                        minimum: 0
                      chargedUsd:
                        type: number
                        minimum: 0
                      error:
                        anyOf:
                          - type: object
                            properties:
                              code:
                                type: string
                                enum:
                                  - MODERATION_REJECTED
                                  - INPUT_REJECTED
                                  - PROVIDER_ERROR
                                  - TIMEOUT
                                  - INVALID_OUTPUT
                                  - UNCERTAIN_SUBMISSION
                              message:
                                type: string
                              retryable:
                                type: boolean
                            required:
                              - code
                              - message
                              - retryable
                            additionalProperties: false
                          - type: 'null'
                      createdAt:
                        type: string
                        format: date-time
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                      completedAt:
                        anyOf:
                          - type: string
                            format: date-time
                            pattern: >-
                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                          - type: 'null'
                      type:
                        type: string
                        const: lipsync
                      outputs:
                        type: array
                        items:
                          type: object
                          properties:
                            index:
                              type: integer
                              minimum: 0
                              maximum: 9007199254740991
                            assetId:
                              type: string
                            url:
                              type: string
                              format: uri
                            mediaType:
                              type: string
                            width:
                              type: integer
                              exclusiveMinimum: 0
                              maximum: 9007199254740991
                            height:
                              type: integer
                              exclusiveMinimum: 0
                              maximum: 9007199254740991
                            durationSeconds:
                              type: number
                              exclusiveMinimum: 0
                            hasAudio:
                              type: boolean
                          required:
                            - index
                            - assetId
                            - url
                            - mediaType
                            - width
                            - height
                          additionalProperties: false
                    required:
                      - id
                      - requestId
                      - model
                      - parameters
                      - inputAssetIds
                      - status
                      - priceUsd
                      - chargedUsd
                      - error
                      - createdAt
                      - completedAt
                      - type
                      - outputs
                    additionalProperties: false
      security:
        - userAccess: []
components:
  schemas:
    RecursiveValue:
      anyOf:
        - type: string
        - type: number
        - type: boolean
        - type: 'null'
        - type: array
          items:
            $ref: '#/components/schemas/RecursiveValue'
        - type: object
          propertyNames:
            type: string
          additionalProperties:
            $ref: '#/components/schemas/RecursiveValue'
  securitySchemes:
    userAccess:
      type: http
      scheme: bearer
      description: >-
        A personal API key (`adside_pat_…`) or a token from `adside login`.
        Either carries the permissions of the person it belongs to.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.